---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab mcp`

Work with a Model Context Protocol (MCP) server. (EXPERIMENTAL)

## Synopsis

Manage Model Context Protocol server features for GitLab integration.

The MCP server exposes GitLab features as tools for use by
AI assistants (like Claude Code) to interact with GitLab projects, issues,
merge requests, pipelines, and other resources.

This feature is experimental. It might be broken or removed without any prior notice.
Read more about what experimental features mean at
<https://docs.gitlab.com/policy/development_stages_support/>

Use experimental features at your own risk.

## Examples

```console
$ glab mcp serve

```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`serve`](serve.md)
